<?php
//aby se stránka nedala zobrazit jinde nez v index.html
if(IsSet($kod) && $kod== "5e7c"):
// soubor umoznujici pristup do databazi nacitajici seznam lidi ve VLSI
require_once ("VLSIgroup.php");
//********* odkaz strankz ye ktere uzivatel prisel
$ref=$_SERVER['HTTP_REFERER'];
// zachovani anglickeho, nebo ceskeho menu do odkazu
if(false===strpos($ref,"indexen")){$ref="index";}else{$ref="indexen";}


echo "<h1>Major Publications</h1>";

//pripojeni do DB
if(!file_exists("dbconn.php")){die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require "dbconn.php";

$dotaz="SELECT MIN(rok) FROM pubs";

$res=$db->query($dotaz);
//kontrola zda sme dostali z databaze vysledek a ulozeni do $minrok
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba. Stránka nebude správně zobrazena");
	} else {
      $res=pg_fetch_row($res);
      $minrok=$res[0];
      $pocetradku=((int)date("Y"))-$minrok+1;
}

if (isset($_GET['row'])){$row=$_GET['row'];} else{$row=1;}
// kontrola zda je row cislo
if (is_numeric($row)){
//pretzpovani na int, kdyby cislo bylo jineho tvaru
    $row=(int)$row;
//spocteni poctu listu
     $pocetlistu=$pocetradku/5;
     $pocetlistu=ceil($pocetlistu);
//kontrola zda row je v mezich poctu listu
     if ($row<1||$row>$pocetlistu){$row=1;}
}else{$row=1;}


//*****************************
// nejdrive kontrola zda neprisel z odkazu kde $year nebylo definovano
if (!isset($_GET['year'])){$year=((int)date("Y"));}else {$year=$_GET['year'];}
$year=(int)$year;
if ( ($year>date("Y")) || ($year<$minrok) )
{$year=(int)date("Y");}

$actyear=((int)date("Y"));
$vypisrok=$actyear-(5*$row);
if ($pocetlistu>0){


if ($row+1==$pocetlistu){echo("<a href=\"$ref.php?page=pubs&amp;row=$pocetlistu&amp;year=$minrok\"> &lt;&lt; </a> ");}
if ($row+1<$pocetlistu) {$pom=$row+1;
echo(" <a href=\"$ref.php?page=pubs&amp;row=$pocetlistu&amp;year=$minrok\"> &lt;&lt;</a>");
echo(" <a href=\"$ref.php?page=pubs&amp;row=$pom&amp;year=$vypisrok\"> &lt; </a> ");}
   
for ($ind=0;$ind<5;$ind++){
  $vypisrok++;

if ($vypisrok>=$minrok && $vypisrok<=$actyear){echo "<a href=\"$ref.php?page=pubs&amp;year=$vypisrok&amp;row=$row\" style=\"margin-left:1em;margin-right:1em;\"> $vypisrok </a>";}
}
$vypisrok++;

   if ($row>2) {$pom=$row-1;
    echo(" <a href=\"$ref.php?page=pubs&amp;row=$pom&amp;year=$vypisrok\"> &gt;   </a> ");
     echo(" <a href=\"$ref.php?page=pubs&amp;row=1&amp;year=$actyear\"> &gt;&gt; </a>");}
 if ($row==2) {echo("<a href=\"$ref.php?page=pubs&amp;row=1&amp;year=$actyear\"> &gt;&gt; </a> ");}

}


if (!strlen($minrok)==0){echo"<h3>".$year."</h3>";}

$dotaz="SELECT * FROM pubs WHERE rok=$year ORDER BY id DESC";

$res=$db->query($dotaz);
//kontrola zda sme dostali z databaze vysledek a ulozeni do $minrok
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     if (!strlen($minrok)==0){echo ("Pro tento rok nejsou žádné záznamy.");}
     else {echo "Neexistuje žádný záznam.";}

    } else {

$classik=false;
echo "<ul class=\"sez\">";
while($data = pg_fetch_assoc($res)){
if ($classik===false){$classik=true;$trida="sude";}else{$classik=false;$trida="liche";}
echo "<li class=\"$trida\">";
if ($data["autori"]!==NULL){echo htmlspecialchars($data["autori"]);}
if ($data["popis"]!==NULL){
  $mu=htmlspecialchars($data["popis"]);
  // vytvoří odkazy
  $mu = EregI_Replace("(http://[^ ]+\.[^ ]+)", " <a target=\"_blank\" href=\\1>\\1</a>", $mu);
  $mu = EregI_Replace("[^/](www\.[^ ]+\.[^ ]+)", " <a target=\"_blank\" href=http://\\1>\\1</a>", $mu);
  echo " : ".$mu;}
if ($data["zdroje"]!==NULL){
    $zdroje=explode("#",$data["zdroje"]);
    foreach ($zdroje as $i=>$lol){
    $lasti=strrpos($lol,".");
           $jm=strrchr($lol,".");
           echo " <a target=\"_blank\" href=\"".soubory_pubs.$lol."\">".$jm."</a>";}

  }

echo "</li>";
}
echo "</ul>";
}

//zavreni databaze
$db->close();
?>



<?php endif;?>
